List Profiles by Entity Type
curl --request GET \
--url https://api.lendflow.com/api/profiles/{profile_type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"search": null
}'import requests
url = "https://api.lendflow.com/api/profiles/{profile_type}"
payload = { "search": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: null})
};
fetch('https://api.lendflow.com/api/profiles/{profile_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"client_tracking_token": null,
"type": "business",
"name": "",
"is_for_client": false,
"last_updated_at": null
},
{
"id": null,
"client_tracking_token": null,
"type": "business",
"name": "",
"is_for_client": false,
"last_updated_at": null
}
]
}Entity Profiles
List Profiles by Entity Type
Returns a paginated list of the profiles of the requested entity type, either business or individual.
GET
/
api
/
profiles
/
{profile_type}
List Profiles by Entity Type
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
Body
application/json
Search by name.
Example:
null
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"client_tracking_token": null,
"type": "business",
"name": "",
"is_for_client": false,
"last_updated_at": null
},
{
"id": null,
"client_tracking_token": null,
"type": "business",
"name": "",
"is_for_client": false,
"last_updated_at": null
}
]
Was this page helpful?